Bug 227346 - emulators/mgba: update to 0.6.2, build libretro core
Summary: emulators/mgba: update to 0.6.2, build libretro core
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-07 14:50 UTC by Greg V
Modified: 2019-01-29 00:52 UTC (History)
2 users (show)

See Also:


Attachments
mgba062.patch (2.25 KB, patch)
2018-04-07 14:50 UTC, Greg V
no flags Details | Diff
mgba 0.6.3 with libretro (3.84 KB, patch)
2018-09-11 18:27 UTC, Loïc Bartoletti
no flags Details | Diff
mgba070.patch (4.43 KB, patch)
2019-01-27 12:16 UTC, Greg V
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg V 2018-04-07 14:50:08 UTC
Created attachment 192311 [details]
mgba062.patch

Minor update.

(+ libretro core tested w/ RetroArch update @ bug 227345)
Comment 1 Jan Beich freebsd_committer 2018-04-26 08:57:35 UTC
Comment on attachment 192311 [details]
mgba062.patch

> PORTNAME=	mgba
>-DISTVERSION=	0.6.1
>-PORTREVISION=	1
>+DISTVERSION=	0.6.2

FWIW, 0.6.3 was released 11 days ago.

> CATEGORIES=	emulators
> 
> MAINTAINER=	greg@unrelenting.technology
>@@ -32,17 +31,19 @@ CMAKE_ARGS=	-DCMAKE_INSTALL_DOCDIR:STRING="${DOCSDIR}" \
> 		-DUSE_LZMA:BOOL=ON \
> 		-DUSE_SQLITE3:BOOL=ON \
> 		-DBUILD_GL:BOOL=ON \
>-		-DBUILD_GLES2:BOOL=OFF
>+		-DBUILD_GLES2:BOOL=OFF \
>+		-DLIBRETRO_LIBDIR=${LOCALBASE}/lib/libretro

LOCALBASE refers to a place where *other* ports have installed. Installing current port there would break PREFIX != LOCALBASE (e.g., poudriere testport -P) and default prefix in pkg-plist (see pkg-create(8) manpage).

Maybe use ${PREFIX} instead as the core itself doesn't depend on retroarch package i.e., can be used with more than one version of retroarch.

>-OPTIONS_DEFINE=	DEBUGGERS FFMPEG MAGICK QT5
>-OPTIONS_DEFAULT=	DEBUGGERS FFMPEG MAGICK QT5
>+OPTIONS_DEFINE=	DEBUGGERS FFMPEG MAGICK QT5 LIBRETRO
>+OPTIONS_DEFAULT=	DEBUGGERS FFMPEG MAGICK QT5 LIBRETRO

Sort options. Ditto fo _DESC and _CMAKE_BOOL.
Comment 2 Jan Beich freebsd_committer 2018-04-26 09:03:19 UTC
-DLIBRETRO_LIBDIR can be grouped together with -DCMAKE_INSTALL_DOCDIR. And both should probably be :PATH, not :STRING.

https://cmake.org/cmake/help/v3.0/prop_cache/TYPE.html
Comment 3 Jan Beich freebsd_committer 2018-04-26 09:09:07 UTC
-DLIBRETRO_DIR is probably better as an option helper unless required even for LIBRETRO=off builds.
Comment 4 Jan Beich freebsd_committer 2018-04-26 09:13:02 UTC
Blocks bug 227726 because the update fixes ffmpeg 4.0 support, see

src/feature/ffmpeg/ffmpeg-encoder.c:232:29: error: use of undeclared identifier 'CODEC_FLAG_GLOBAL_HEADER'
                        encoder->audio->flags |= CODEC_FLAG_GLOBAL_HEADER;
                                                 ^
src/feature/ffmpeg/ffmpeg-encoder.c:294:28: error: use of undeclared identifier 'CODEC_FLAG_GLOBAL_HEADER'
                encoder->video->flags |= CODEC_FLAG_GLOBAL_HEADER;
                                         ^
Comment 5 Loïc Bartoletti 2018-09-11 18:27:56 UTC
Created attachment 197024 [details]
mgba 0.6.3 with libretro

You can find the port updated with libretro as option (default)
Comment 6 Greg V 2019-01-27 12:16:28 UTC
Created attachment 201443 [details]
mgba070.patch

0.7.0 now
Comment 7 commit-hook freebsd_committer 2019-01-29 00:47:28 UTC
A commit references this bug:

Author: jbeich
Date: Tue Jan 29 00:46:51 UTC 2019
New revision: 491528
URL: https://svnweb.freebsd.org/changeset/ports/491528

Log:
  emulators/mgba: update to 0.7.0

  - Expose libretro core as a port option
  - Add USES=gl for USE_GL, USES=gnome for INSTALLS_ICONS

  Changes:	https://github.com/mgba-emu/mgba/blob/0.7.0/CHANGES
  PR:		227346
  Submitted by:	Greg V (maintainer)

Changes:
  head/emulators/mgba/Makefile
  head/emulators/mgba/distinfo
  head/emulators/mgba/files/
  head/emulators/mgba/pkg-plist